{
  "criteria": {
    "use_brush": {
      "trigger": "minecraft:item_used_on_block",
      "conditions": {
        "location": [
          {
            "condition": "location_check",
            "predicate": {
              "block": {
                "blocks": "#campfires",
                "state": {
                  "lit": "true"
                }
              }
            }
          }
        ],
        "player": {
          "slots": {
            "weapon.*": {
              "items": "fire_charge"
            }
          }
        }
      }
    }
  },
  "requirements": [
    [
      "use_brush"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/items/flint_and_steel/item_use"
  }
}